<?php 
// $Id: template.php,v 1.2 2011/01/08 10:31:31 webmatter Exp $ 
drupal_add_js('
  Drupal.behaviors.blackpiano = function (context) {
    $("#collapse-all-fieldsets").click( function () {
      $(".pseudo-fieldset-content").hide();
      $(".pseudo-fieldset").addClass("collapsed");
    });
    $("#open-all-fieldsets").click( function () {
      $(".pseudo-fieldset-content").show();
      $(".pseudo-fieldset").addClass("collapsed");
    });
    
    $(".collapsible .pseudo-fieldset-title").click( function () {
      var thisFieldset = $(this).parent();
      $(".pseudo-fieldset-content", thisFieldset).slideToggle();
      $(thisFieldset).toggleClass("collapsed");
    });
  };
', 'inline');

function phptemplate_fieldset($element) {

  $element['#attributes']['class'] .= ' pseudo-fieldset';

  if (!empty($element['#collapsible'])) {
    drupal_add_js('misc/collapse.js');

    $element['#attributes']['class'] .= ' collapsible';
    if (!empty($element['#collapsed'])) {
      $element['#attributes']['class'] .= ' collapsed';
    }
  }

   $output = '<div '. drupal_attributes($element['#attributes']) .'>';
   $output .= ($element['#title'] ? '<div class="pseudo-fieldset-title">'. $element['#title'] .'</div>' : '');
   $output .= '<div class="pseudo-fieldset-content">';
   $output .= (isset($element['#description']) && $element['#description'] ? '<div class="description">'. $element['#description'] .'</div>' : '');
   $output .= (!empty($element['#children']) ? $element['#children'] : '');
   $output .= (isset($element['#value']) ? $element['#value'] : '');
   $output .= '</div>';
   $output .= "</div>\n";
  
  return $output;
}

function phptemplate_preprocess_page(&$vars) {
  if (arg(0) == 'admin' AND !(arg(1) == 'build' AND arg(2) == 'block')) {
    $vars['body_classes'] = $vars['body_classes'] . ' blackpiano-admin ';
  }
}


function phptemplate_form($element) {
  // Anonymous div to satisfy XHTML compliance.
  $action = $element['#action'] ? 'action="'. check_url($element['#action']) .'" ' : '';
  
  if ($element['#id'] == 'system-modules') {
    return "<a href='javascript: return false;' id='collapse-all-fieldsets'>".t('Collapse all fieldsets')."</a> | <a href='javascript: return false;' id='open-all-fieldsets'>".t('Open all fieldsets').'</a><form '. $action .' accept-charset="UTF-8" method="'. $element['#method'] .'" id="'. $element['#id'] .'"'. drupal_attributes($element['#attributes']) .">\n<div>". $element['#children'] ."\n</div></form>\n";    
  }
  
  return '<form '. $action .' accept-charset="UTF-8" method="'. $element['#method'] .'" id="'. $element['#id'] .'"'. drupal_attributes($element['#attributes']) .">\n<div>". $element['#children'] ."\n</div></form>\n";
}


function phptemplate_breadcrumb($breadcrumb){
     if (!empty($breadcrumb)) {
        $breadcrumb[] = drupal_get_title();
        return '<div class="breadcrumb">'. implode(' &raquo; ', $breadcrumb) .'</div>';
    }
     else {
    return t("<div class=\"breadcrumb\">&nbsp;</div>");
  }
 }